Part Cone: Difference between revisions

From FreeCAD Documentation
m (Precise Label.)
No edit summary
Line 34: Line 34:


<!--T:8-->
<!--T:8-->
# There are several ways to invoke the command:
# Switch to the [[Image:Workbench_Part.svg|16px]] [[Part_Workbench|Part Workbench]]
#* Press the {{Button|[[Image:Part_Cone.svg|16px]] [[Part Cone|Cone]]}} button.
# There are two ways to invoke the command:
#* Press the {{Button|[[Image:Part_Cone.svg|16px]] Cone}} button in the toolbar.
#* Select the {{MenuCommand|Part → Primitives → [[Image:Part_Cone.svg|16px]] Cone}} option from the menu.
#* Select the {{MenuCommand|Part → Primitives → [[Image:Part_Cone.svg|16px]] Cone}} from the menu bar.

<!--T:9-->
'''Result:''' The default values create a truncated parametric cone that is positioned at the origin (point 0,0,0) and attached to the global xy-plane. Its height of 10 mm is along the global z-axis. The lower {{PropertyData|Radius 1}} is 2 mm, the upper {{PropertyData|Radius 2}} is 4 mm.

<!--T:19-->
The cone properties can later be edited, either in the [[Property_editor|Property editor]] or by double-clicking the cone in the [[Tree_view|Tree view]].


== Properties == <!--T:10-->
== Properties == <!--T:10-->

Revision as of 19:22, 19 February 2022

Part Cone

Menu location
Part → Primitives → Cone
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

A parametric truncated Part Cone primitive is available in the Part workbench from the Part tool bar, Part menu (primitives sub-menu) and the Create Primitives dialogue.

A Part Cone with the parameter "Angle" set to 270 degrees and all other parameters are set to their default values.

Usage

  1. There are several ways to invoke the command:
    • Press the Cone button.
    • Select the Part → Primitives → Cone option from the menu.

Properties

  • DataRadius1 (Length): Radius of the arc or circle defining the lower face
  • DataRadius2 (Length): Radius of the arc or circle defining the upper face
  • DataHeight (Length): Height of the Part Cone
  • DataAngle (Angle): Number of degrees of the arc or circles defining the upper and lower faces of the truncated cone. The default 360° angle creates circular faces, a lower value will create a portion of a cone as defined by upper and lower faces each with edges defined by an arc of the number of degrees and two radii.

Scripting

A Part Cone can be created using the following function:

cone = FreeCAD.ActiveDocument.addObject("Part::Cone", "myCone")
  • Where myCone is the user editable name for the object.
  • The function returns the newly created object.

The label text of the object can be easily changed by

cone.Label = "new myConeName"

You can access and modify attributes of the cone object. For example, you may wish to modify the lower or upper radius, the height or the angle parameters.

cone.Radius1 = 5
cone.Radius2 = 10
cone.Height = 50
cone.Angle = 270

The result will be a 270° portion of a full cone.

You can change its placement and orientation with:

cone.Placement = FreeCAD.Placement(FreeCAD.Vector(1, 2, 3), FreeCAD.Rotation(30, 60, 15))

The Part Cone with the values of the scripting example looks like:

Part Cone with the values of the scripting example.